<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
    <gri:panel rendered="#{pnrIHEManager.editSubmissionSet}">
        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.SubmissionSet_2']}</f:facet>

        <div class="form-horizontal">
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="submissionSet"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.SubmissionSetTitle']}</ui:define>
                <h:inputText id="submissionSet" value="#{pnrIHEManager.submissionSet.title}" styleClass="form-control"/>
            </s:decorate>

            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="patientId"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PatientId']} *</ui:define>
                <h:inputText id="patientId" value="#{pnrIHEManager.submissionSet.patientId}" styleClass="form-control">
                    <a4j:ajax event="blur" render="treereRender"/>
                </h:inputText>
            </s:decorate>
        </div>

        <table width="100%" class="rf-dt">
            <thead class="rf-dt-thd">
            <tr class="rf-dt-shdr">
                <th class="rf-dt-shdr-c">
                    <b>#{messages['net.ihe.gazelle.xdstar.Opt']}</b>
                </th>
                <th class="rf-dt-shdr-c">
                    <b>#{messages['net.ihe.gazelle.xdstar.MetadataName']}</b>
                </th>
                <th class="rf-dt-shdr-c" colspan="2">
                    <b>#{messages['net.ihe.gazelle.xdstar.Values']})</b>
                </th>
            </tr>
            </thead>
            <tbody class="rf-dt-b">
            <a4j:repeat value="#{pnrIHEManager.submissionSet.externalIdentifier}" var="m">
                <tr class="rf-dt-r rf-dt-fst-r">
                    <td class="rf-dt-c">
                        #{pnrIHEManager.getOptionalityExtOnSubmissionSet(m)}
                    </td>
                    <td class="rf-dt-c ">
                        <h:panelGrid columns="3">
                            <h:outputText value="#{pnrIHEManager.getDisplayNameExt(m)}"/>
                            <gdk:spacer width="5"/>
                            <a4j:commandLink
                                    actionListener="#{pnrIHEManager.removeExtFromSubmissionSet(m)}"
                                    execute="@this"
                                    rendered="#{pnrIHEManager.getOptionalityExtOnSubmissionSet(m).equals('O')}"
                                    render="metadata_id">
                                <span class="gzl-icon-minus"/>
                            </a4j:commandLink>
                        </h:panelGrid>
                    </td>
                    <td class="rf-dt-c" colspan="2">
                        <h:inputText value="#{m.value}" size="70" maxlength="255" styleClass="form-control"/>
                    </td>
                </tr>
            </a4j:repeat>
            <!-- slot  -->
            <a4j:repeat value="#{pnrIHEManager.submissionSet.slot}" var="m">
                <tr class="rf-dt-r">
                    <td class="rf-dt-c">
                        #{pnrIHEManager.getOptionalitySlotOnSubmissionSet(m)}
                    </td>
                    <td class="rf-dt-c">
                        <h:panelGrid columns="3">
                            <h:outputText value="#{m.name}"/>
                            <gdk:spacer width="5"/>
                            <a4j:commandLink
                                    actionListener="#{pnrIHEManager.removeSlotFromSubmissionSet(m)}"
                                    execute="@this"
                                    rendered="#{pnrIHEManager.getOptionalitySlotOnSubmissionSet(m).equals('O')}"
                                    render="metadata_id">
                                <span class="gzl-icon-minus"/>
                            </a4j:commandLink>
                        </h:panelGrid>
                    </td>
                    <td class="rf-dt-c" colspan="2">
                        <ui:include src="slot.xhtml">
                            <ui:param name="slot" value="#{m}"/>
                        </ui:include>
                    </td>
                </tr>
            </a4j:repeat>
            <!-- classifications -->
            <a4j:repeat value="#{pnrIHEManager.submissionSet.classification}" var="m">
                <tr class="rf-dt-r">
                    <td class="rf-dt-c" rowspan="#{pnrIHEManager.rownSpanClass(m)}">
                        #{pnrIHEManager.getOptionalityClassOnSubmissionSet(m)}
                    </td>
                    <td class="rf-dt-c" rowspan="#{pnrIHEManager.rownSpanClass(m)}">
                        <h:panelGrid columns="3">
                            <h:outputText value="#{pnrIHEManager.getDisplayNameClass(m)}"/>
                            <gdk:spacer width="5"/>
                            <a4j:commandLink
                                    actionListener="#{pnrIHEManager.removeClassificationFromSubmissionSet(m)}"
                                    execute="@this"
                                    rendered="#{pnrIHEManager.getOptionalityClassOnSubmissionSet(m).equals('O')}"
                                    render="metadata_id">
                                <span class="gzl-icon-minus"/>
                            </a4j:commandLink>
                        </h:panelGrid>
                    </td>
                    <a4j:region rendered="#{!pnrIHEManager.isValueSet(m)}">
                        <td class="rf-dt-c">#{messages['net.ihe.gazelle.xdstar.DisplayName']}</td>
                        <td class="rf-dt-c">
                            <a4j:repeat value="#{m.name.localizedString}" var="name">
                                <h:panelGrid columns="3">
                                    <h:outputText value="#{name.value}"/>
                                    <gdk:spacer width="5"/>
                                    <a4j:commandLink
                                            actionListener="#{m.name.localizedString.remove(name)}"
                                            execute="@this"
                                            render="metadata_id">
                                        <span class="gzl-icon-minus"/>
                                    </a4j:commandLink>
                                </h:panelGrid>
                            </a4j:repeat>
                            <a4j:commandLink
                                    actionListener="#{pnrIHEManager.initSelectedInternationalStringType(m)}"
                                    oncomplete="jq162('#AddNameValue').modal('show');"
                                    execute="@this"
                                    rendered="#{pnrIHEManager.canAddName(m.name)}"
                                    render="AddNameValue">
                                <span class="gzl-icon-plus"/>
                            </a4j:commandLink>
                        </td>
                    </a4j:region>
                    <a4j:region rendered="#{pnrIHEManager.isValueSet(m)}">
                        <td class="rf-dt-c" colspan="2">
                            <h:selectOneMenu value="#{m.nodeRepresentation}"
                                             styleClass="form-control gzl-form-control gzl-select-text">
                                <f:selectItems value="#{pnrIHEManager.listValueSet(m)}"
                                               noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                                <a4j:ajax event="change"
                                          listener="#{pnrIHEManager.updateClassificationByValueSet(m)}"/>
                            </h:selectOneMenu>
                        </td>
                    </a4j:region>
                </tr>
                <a4j:region rendered="#{!pnrIHEManager.isValueSet(m)}">
                    <tr class="rf-dt-r">
                        <td class="rf-dt-c">#{messages['net.ihe.gazelle.xdstar.Code']}</td>
                        <td class="rf-dt-c">
                            <h:inputText value="#{m.nodeRepresentation}" styleClass="form-control"/>
                        </td>
                    </tr>
                    <a4j:repeat value="#{m.slot}" var="slot">
                        <tr class="rf-dt-r">
                            <td class="rf-dt-c">
                                <h:panelGrid columns="3">
                                    <h:outputText value="#{slot.name}"/>
                                    <gdk:spacer width="5"/>
                                    <a4j:commandLink
                                            actionListener="#{m.slot.remove(slot)}"
                                            execute="@this"
                                            rendered="#{pnrIHEManager.getOptionalitySlotOnClassification(slot, m).equals('O')}"
                                            render="metadata_id">
                                        <span class="gzl-icon-minus"/>
                                    </a4j:commandLink>
                                </h:panelGrid>
                            </td>
                            <td class="rf-dt-c">
                                <ui:include src="slot.xhtml">
                                    <ui:param name="slot" value="#{slot}"/>
                                </ui:include>
                            </td>
                        </tr>
                    </a4j:repeat>
                    <a4j:region rendered="#{pnrIHEManager.hasOptionalSlotYet(m)}">
                        <tr class="rf-dt-r">
                            <td class="rf-dt-c" colspan="2">
                                <a4j:commandLink actionListener="#{pnrIHEManager.setSelectedClassificationType(m)}"
                                                 value="#{messages['net.ihe.gazelle.xdstar.AddOptionalMetadataRelatedTo']} #{pnrIHEManager.getDisplayNameClass(m)}"
                                                 oncomplete="jq162('#ClassificationSlotOptional').modal('show')"
                                                 render="ClassificationSlotOptional,ClassificationSlotOptionalForm"/>
                            </td>
                        </tr>
                    </a4j:region>
                </a4j:region>
            </a4j:repeat>
            </tbody>
        </table>
        <br/>
        <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.AddOptionalMetadata']}"
                           styleClass="gzl-btn-green"
                           rendered="#{pnrIHEManager.listOptionalMetadata.size() &gt; 0}"
                           actionListener="#{pnrIHEManager.initListOptionalMetadata()}"
                           oncomplete="jq162('#AddOptionalMetadata').modal('show');"
                           render="AddOptionalMetadataForm, AddOptionalMetadatadec"/>
        <br/>
        <br/>

    </gri:panel>
</ui:composition>
